package org.kapelle.hardcore_revive;

import org.bukkit.Material;
import org.bukkit.OfflinePlayer;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.PlayerDeathEvent;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.meta.ItemMeta;
import org.bukkit.inventory.meta.SkullMeta;
import org.bukkit.plugin.java.JavaPlugin;

public class DropHead implements Listener {
    private JavaPlugin plugin;

    public DropHead(JavaPlugin plugin){
        this.plugin = plugin;
        plugin.getServer().getPluginManager().registerEvents(this, plugin);
    }

    @EventHandler
    public void onPlayerDeath(PlayerDeathEvent event){
        this.plugin.getLogger().info("Player died. Dropping head");
        try{
            Player player = event.getEntity();

            ItemStack head = new ItemStack(Material.PLAYER_HEAD);
            SkullMeta headMeta = (SkullMeta) head.getItemMeta();
            assert headMeta != null;

            headMeta.setDisplayName("Hopes and dreams of " + player.getDisplayName());
            headMeta.setOwningPlayer(player);

            head.setItemMeta(headMeta);

            player.getWorld().dropItemNaturally(player.getLocation(),head);
        }catch (Exception e){
            this.plugin.getLogger().severe("Failed to drop player head: " + e.getMessage());
        }

    }
}
